# Uses of Class
org.eclipse.jdt.core.dom.ExpressionStatement

Packages that use ExpressionStatement
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ExpressionStatement in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ExpressionStatement
Modifier and Type
Method
Description
`ExpressionStatement`
AST.`newExpressionStatement(Expression expression)`
Creates a new unparented expression statement node owned by this AST, for the given expression.
Methods in org.eclipse.jdt.core.dom with parameters of type ExpressionStatement
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ExpressionStatement node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ExpressionStatement node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(ExpressionStatement node)`
Visits the given type-specific AST node.